---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.49/23","fd02:0:0:3::31/64"],"mac_address":"0a:58:0a:82:00:31","gateway_ips":["10.130.0.1","fd02:0:0:3::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.130.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.130.0.1"},{"dest":"169.254.0.5/32","nextHop":"10.130.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.130.0.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:3::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:3::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:3::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:3::1"}],"role":"primary"}}'
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.130.0.49",
                "fd02:0:0:3::31"
            ],
            "mac": "0a:58:0a:82:00:31",
            "default": true,
            "dns": {}
        }]
      openshift.io/required-scc: nonroot-v2
      openshift.io/scc: nonroot-v2
      seccomp.security.alpha.kubernetes.io/pod: runtime/default
    creationTimestamp: "2025-10-27T12:27:57Z"
    generateName: openshift-config-operator-5c65757986-
    labels:
      app: openshift-config-operator
      pod-template-hash: 5c65757986
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.ovn.org/pod-networks: {}
      manager: cnvqe-070.lab.eng.tlv2.redhat.com
      operation: Update
      subresource: status
      time: "2025-10-27T12:27:57Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:openshift.io/required-scc: {}
            f:target.workload.openshift.io/management: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b069b2a0-8749-4dfa-b29f-c9be7bb2b779"}: {}
        f:spec:
          f:containers:
            k:{"name":"openshift-config-operator"}:
              .: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERAND_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:livenessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:initialDelaySeconds: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":8443,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:readinessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:initialDelaySeconds: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:securityContext:
                .: {}
                f:allowPrivilegeEscalation: {}
                f:capabilities:
                  .: {}
                  f:drop: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/available-featuregates"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                k:{"mountPath":"/var/run/secrets/serving-cert"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:initContainers:
            .: {}
            k:{"name":"openshift-api"}:
              .: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"OPERATOR_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:securityContext:
                .: {}
                f:allowPrivilegeEscalation: {}
                f:capabilities:
                  .: {}
                  f:drop: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/available-featuregates"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:nodeSelector: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext:
            .: {}
            f:runAsNonRoot: {}
            f:runAsUser: {}
            f:seccompProfile:
              .: {}
              f:type: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"available-featuregates"}:
              .: {}
              f:emptyDir:
                .: {}
                f:sizeLimit: {}
              f:name: {}
            k:{"name":"serving-cert"}:
              .: {}
              f:name: {}
              f:secret:
                .: {}
                f:defaultMode: {}
                f:optional: {}
                f:secretName: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:57Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.v1.cni.cncf.io/network-status: {}
      manager: multus-daemon
      operation: Update
      subresource: status
      time: "2025-10-27T12:28:00Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"PodReadyToStartContainers"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:hostIPs: {}
          f:initContainerStatuses: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.130.0.49"}:
              .: {}
              f:ip: {}
            k:{"ip":"fd02:0:0:3::31"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      subresource: status
      time: "2025-10-28T10:16:58Z"
    name: openshift-config-operator-5c65757986-nqqcr
    namespace: openshift-config-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: openshift-config-operator-5c65757986
      uid: b069b2a0-8749-4dfa-b29f-c9be7bb2b779
    resourceVersion: "957003"
    uid: 7219d04f-ccfa-47a1-bfd8-0c52ac4147d8
  spec:
    containers:
    - command:
      - cluster-config-operator
      - operator
      - --operator-version=$(OPERATOR_IMAGE_VERSION)
      - --authoritative-feature-gate-dir=/available-featuregates
      env:
      - name: IMAGE
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:814b1af5d33671ac7eaa4e54663f71358ddeabbdb892f2a82dbba270dacb47e2
      - name: OPERATOR_IMAGE_VERSION
        value: 4.19.17
      - name: OPERAND_IMAGE_VERSION
        value: 4.19.17
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:814b1af5d33671ac7eaa4e54663f71358ddeabbdb892f2a82dbba270dacb47e2
      imagePullPolicy: IfNotPresent
      livenessProbe:
        failureThreshold: 3
        httpGet:
          path: /healthz
          port: 8443
          scheme: HTTPS
        initialDelaySeconds: 3
        periodSeconds: 3
        successThreshold: 1
        timeoutSeconds: 1
      name: openshift-config-operator
      ports:
      - containerPort: 8443
        name: metrics
        protocol: TCP
      readinessProbe:
        failureThreshold: 3
        httpGet:
          path: /healthz
          port: 8443
          scheme: HTTPS
        initialDelaySeconds: 3
        periodSeconds: 3
        successThreshold: 1
        timeoutSeconds: 1
      resources:
        requests:
          cpu: 10m
          memory: 50Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/secrets/serving-cert
        name: serving-cert
      - mountPath: /available-featuregates
        name: available-featuregates
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-wr5nx
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    initContainers:
    - command:
      - write-available-featuresets
      - --asset-output-dir=/available-featuregates
      - --payload-version=$(OPERATOR_IMAGE_VERSION)
      env:
      - name: OPERATOR_IMAGE_VERSION
        value: 4.19.17
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:52649b4f8785d7a80964facb8a05ff1b52bfb539b5aa96e1dcd6b5d96eecbcd5
      imagePullPolicy: IfNotPresent
      name: openshift-api
      resources:
        requests:
          cpu: 10m
          memory: 50Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /available-featuregates
        name: available-featuregates
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-wr5nx
        readOnly: true
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    nodeSelector:
      node-role.kubernetes.io/master: ""
    preemptionPolicy: PreemptLowerPriority
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      runAsNonRoot: true
      runAsUser: 65534
      seLinuxOptions:
        level: s0:c13,c2
      seccompProfile:
        type: RuntimeDefault
    serviceAccount: openshift-config-operator
    serviceAccountName: openshift-config-operator
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoSchedule
      key: node-role.kubernetes.io/master
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: serving-cert
      secret:
        defaultMode: 420
        optional: true
        secretName: config-operator-serving-cert
    - emptyDir:
        sizeLimit: 100Mi
      name: available-featuregates
    - name: kube-api-access-wr5nx
      projected:
        defaultMode: 420
        sources:
        - serviceAccountToken:
            expirationSeconds: 3607
            path: token
        - configMap:
            items:
            - key: ca.crt
              path: ca.crt
            name: kube-root-ca.crt
        - downwardAPI:
            items:
            - fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
              path: namespace
        - configMap:
            items:
            - key: service-ca.crt
              path: service-ca.crt
            name: openshift-service-ca.crt
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:28:07Z"
      status: "True"
      type: PodReadyToStartContainers
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:28:07Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2025-10-28T10:16:58Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2025-10-28T10:16:58Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:27:57Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://403b9efd1bec842f34c0366f98ae97f5f4f206f230b02c8bb643eac6410d7d67
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:814b1af5d33671ac7eaa4e54663f71358ddeabbdb892f2a82dbba270dacb47e2
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:814b1af5d33671ac7eaa4e54663f71358ddeabbdb892f2a82dbba270dacb47e2
      lastState:
        terminated:
          containerID: cri-o://30013285a588591a246abe25b447681d4c5f5d9082fd8f2fcc7255b0c9672c34
          exitCode: 0
          finishedAt: "2025-10-28T10:16:53Z"
          reason: Completed
          startedAt: "2025-10-27T12:28:13Z"
      name: openshift-config-operator
      ready: true
      restartCount: 1
      started: true
      state:
        running:
          startedAt: "2025-10-28T10:16:54Z"
      volumeMounts:
      - mountPath: /var/run/secrets/serving-cert
        name: serving-cert
      - mountPath: /available-featuregates
        name: available-featuregates
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-wr5nx
        readOnly: true
        recursiveReadOnly: Disabled
    hostIP: 10.46.248.41
    hostIPs:
    - ip: 10.46.248.41
    - ip: 2620:52:0:2ef8::29
    initContainerStatuses:
    - containerID: cri-o://6891c5f29f9568601b6d66a1e844e4119f2fa55084fbf535d6e27d1e6aece35a
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:52649b4f8785d7a80964facb8a05ff1b52bfb539b5aa96e1dcd6b5d96eecbcd5
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:52649b4f8785d7a80964facb8a05ff1b52bfb539b5aa96e1dcd6b5d96eecbcd5
      lastState: {}
      name: openshift-api
      ready: true
      restartCount: 0
      started: false
      state:
        terminated:
          containerID: cri-o://6891c5f29f9568601b6d66a1e844e4119f2fa55084fbf535d6e27d1e6aece35a
          exitCode: 0
          finishedAt: "2025-10-27T12:28:07Z"
          reason: Completed
          startedAt: "2025-10-27T12:28:07Z"
      volumeMounts:
      - mountPath: /available-featuregates
        name: available-featuregates
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-wr5nx
        readOnly: true
        recursiveReadOnly: Disabled
    phase: Running
    podIP: 10.130.0.49
    podIPs:
    - ip: 10.130.0.49
    - ip: fd02:0:0:3::31
    qosClass: Burstable
    startTime: "2025-10-27T12:27:57Z"
kind: PodList
metadata:
  resourceVersion: "2219698"
